# compiledBy

abstract fun <T : Task?> compiledBy(taskProvider: TaskProvider<T>, mapping: (T) -> DirectoryProperty)

Define the task responsible for processing the source.

#### Since

6.1

#### Parameters

taskProvider

the task responsible for compiling the sources (.e.g. compileJava)

mapping

a mapping from the task to the task's output directory (e.g. AbstractCompile::getDestinationDirectory)